Skip to content
Start here

Convert Files into Markdown

ai.to_markdown.transform(ToMarkdownTransformParams**kwargs) -> SyncSinglePage[ToMarkdownTransformResponse]
POST/accounts/{account_id}/ai/tomarkdown

Converts uploaded files into Markdown format using Workers AI.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
account_id: str
file: File
files: SequenceNotStr[FileTypes]
ReturnsExpand Collapse
class ToMarkdownTransformResponse:
data: str
format: str
mime_type: str
name: str
tokens: str

Convert Files into Markdown

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.ai.to_markdown.transform(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    file={
        "files": [b"Example data"]
    },
)
page = page.result[0]
print(page.data)
{
  "result": [
    {
      "data": "data",
      "format": "format",
      "mimeType": "mimeType",
      "name": "name",
      "tokens": "tokens"
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "data": "data",
      "format": "format",
      "mimeType": "mimeType",
      "name": "name",
      "tokens": "tokens"
    }
  ],
  "success": true
}